var page = require('webpage').create(),
    fs = require('fs'),
    system = require('system'),
    cif = system.args[1],
    address = 'http://www.mfinante.ro/infocodfiscal.html?cod=' + cif,
    output = system.args[2];
if (system.args[3] > 5000) {
    wait = system.args[3];
} else {
    wait = 5000;
}
    
if (system.args.length < 2) {
    console.log("Usage: mf2html.js CIF wait");
    console.log("CIF: integer");
    console.log("wait: integer, ms");
    phantom.exit(1);
} else {
    //console.log("address: " + address);
    //console.log("output: " + output);
    //console.log("wait: " + wait + " ms");
    page.open(address, function (status) {
        if (status !== 'success') {
            content = "CIF: "+ cif + '\r\n' + 'Stare :Nu se poate descarca fisierul de informatii ' + '\r\n';
            //console.log('Unable to load the address!');
            phantom.exit(1);
        } else {
        window.setTimeout(function () {
            var content = page.content;
                try {
                fs.write(output, content, 'w');
                } catch(e) {
                    //console.log(e);
                }
            phantom.exit();
            }, wait);                    
        }
    });
}



